API ReferenceProducts
Batch create products
Create multiple products in one request by sending a resources array.
Create multiple products in one request by sending a resources array.
POST
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
resources*array<>Successful response.
application/json- response
data*array<>curl -X POST 'https://sell.app/api/v2/products/batch' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "resources": [ { "title": "Example product", "description": "An example product created through the API.", "visibility": "PUBLIC", "type": "product" } ]}'{ "data": [ { "id": 1, "title": "Example product", "slug": "example-product", "description": "An example product created through the API.", "images": [], "order": 1, "visibility": "PUBLIC", "delivery_text": "", "additional_information": [], "other_settings": { "faq": [], "video_url": "", "redirect_url": "", "product_title": "", "product_description": "" }, "deleted_at": null, "created_at": "2026-08-30T12:00:01.000000Z", "updated_at": "2026-08-30T12:00:01.000000Z", "store_id": 1, "category_id": null, "section_id": null, "section_order": null, "is_discoverable": true, "variants": [], "url": "https://launch-lab.sell.app/product/example-product" } ]}